"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const pino_abstract_transport_1 = __importDefault(require("pino-abstract-transport"));
const stream_1 = require("stream");
const constants_1 = require("./constants");
const utils_1 = require("./utils");
const pinoHerokuPipeline = async (options = {}) => {
    const { regex = constants_1.HEROKU_LOG_REGEX, dyno = 'web' } = options;
    return (0, pino_abstract_transport_1.default)((source) => {
        (0, stream_1.pipeline)(source, utils_1.herokuLogTransformer, () => {
        });
        return utils_1.herokuLogTransformer;
    }, {
        enablePipelining: true,
        parseLine: (line) => (0, utils_1.parseHerokuAppLogLine)(line, regex, dyno),
    });
};
module.exports = pinoHerokuPipeline;
exports.default = pinoHerokuPipeline;
//# sourceMappingURL=index.js.map